2010年8月2日 星期一

取得 command 新產生物件選集

點這裡看實作範例

..


;;************************************************************************************;;
;;***********        取得 command 新產生物件選集                     *****************;;
;;*********         必須在產生物件的動作前取得舊選集(setq ssoldx (ssget "x"))    *****;;
;;************************************************************************************;;
(defun NewEntSS (oldSSx / NewSSx i enNameI ssExclude result)
  (setq NewSSx (ssget "x"))
  (setq i 0)
  (if (/= oldSSx nil)
    (progn
      (repeat (sslength oldSSx)
    (setq enNameI (ssname oldSSx i))
    (setq ssExclude (ssdel enNameI NewSSx))
    (setq i (+ 1 i))
      )
      ;;repeat
    )
    ;;progn
    (exit)
  )
  ;;if
  (setq result ssExclude)
)

沒有留言:

張貼留言